<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
<ui:decorate template="template.xhtml">
	<ui:define name="centro">
	
			<f:metadata>
				<f:event listener="#{processoConclusaoBean.carregaLista}" type="preRenderView"/>
				<f:event listener="#{processoConclusaoBean.loadProcesso}" type="preRenderView"/>
				<f:viewParam name="numero" value="#{processoConclusaoBean.processo.numero}"></f:viewParam>
			</f:metadata>
		<p:growl id="growl" life="2000" />
		<h:form id="processosForm">
		
		
			<h1>Processo de Conclusão</h1>
			<h:panelGrid columns="2" cellpadding="5" id="processos">
			
			
			<h:outputLabel for="Aluno" value="Aluno:" style="font-weight:bold" />
				
				<p:autoComplete id="Nome" 
        			dropdown="true" 
        			forceSelection="true"
        			value="#{processoConclusaoBean.processo.aluno}" 
        			completeMethod="#{processoConclusaoBean.completeAluno}"
        			var="alu"
        			itemLabel="#{alu.nome}"
        			itemValue="#{alu}"
        			converter="alunoConverter" size="100"/>
        			
        			
				<h:outputLabel for="processo" value="Número do processo:"
					style="font-weight:bold" />
				<p:inputText id="processo" value="#{processoConclusaoBean.processo.numero}" />
				
				<h:outputLabel for="evento1Data" value="Data Abertura do Protocolo:"
					style="font-weight:bold" rendered="#{empty processoConclusaoBean.processo.colacao}"/>
				<p:calendar id="evento1Data" value="#{processoConclusaoBean.processo.colacao}"
					showOn="button" rendered="#{empty processoConclusaoBean.processo.colacao}" pattern="dd/MM/yyyy"/>
				<h:outputLabel for="descricao" value="Observação:"
					style="font-weight:bold" rendered="#{empty processoConclusaoBean.processo.colacao}"/>
				<p:inputText id="descricao1" rendered="#{empty processoConclusaoBean.processo.colacao}" value="#{processoConclusaoBean.processo.colacaoDescricao}"
					size="70" />
				
				<h:outputLabel for="enade" value="Enade" style="font-weight:bold" />
				<p:selectBooleanCheckbox value="#{processoConclusaoBean.processo.enade}" />
				
				<h:outputLabel for="semestres" value="Semestres Fechados"
					style="font-weight:bold" />
				<p:selectBooleanCheckbox value="#{processoConclusaoBean.processo.semestre}" />

				<h:outputLabel for="carga" value="Carga Horária Cumprida"
					style="font-weight:bold" />
				<p:selectBooleanCheckbox
					value="#{processoConclusaoBean.processo.cargaHoraria}" />

				<h:outputLabel for="atividades" value="Atividades Complementares"
					style="font-weight:bold" />
				<p:selectBooleanCheckbox value="#{processoConclusaoBean.processo.atividadesComplementares}" />
				
				
				<h:outputLabel for="evento2Data" value="Finalizado:"
					style="font-weight:bold" rendered="#{empty processoConclusaoBean.processo.finalizado}"/>
				<p:calendar id="evento2Data" value="#{processoConclusaoBean.processo.finalizado}"
					showOn="button" rendered="#{empty processoConclusaoBean.processo.finalizado}" pattern="dd/MM/yyyy"/>
				<h:outputLabel for="descricao2" value="Observação:"
					style="font-weight:bold" rendered="#{empty processoConclusaoBean.processo.finalizado}"/>
				<p:inputText id="descricao2" rendered="#{empty processoConclusaoBean.processo.finalizado}" value="#{processoConclusaoBean.processo.finalDescricao}"
					size="70" />
				
			
				<p:commandButton update="growl" value="Salvar"
					actionListener="#{processoConclusaoBean.salvar}" icon="ui-icon-check" />
			</h:panelGrid>
		</h:form>	


		<h:panelGrid id="dados">
                <h:form id="formTabela">
                    <p:dataTable id="procEstagioTable"
                   	             value="#{processoConclusaoBean.processos}" 
                                 selectionMode="single"
                                 selection="#{processoConclusaoBean.processo}" 
                                 rowKey="#{process.numero}"
                                 var="process"
                                 rows="10"
                                 paginator="true"
                                 paginatorTemplate="{CurrentPageReport}  {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                                 rowsPerPageTemplate="5,10,15">  
                                       
                      <p:column selectionMode="single" style="width:30px" />

					<p:column headerText="Processo"
						sortBy="#{process.numero}" style="width:100px">
						<h:outputText value="#{process.numero}" />
					</p:column>

					<p:column headerText="Aluno" sortBy="#{process.aluno.nome}">
						<h:outputText value="#{process.aluno.nome}" />
					</p:column>
					<p:column headerText="Protocolo">
						<h:outputText value="#{process.colacao}" >
						<f:convertDateTime pattern="dd/MM/yyyy"/>  
						</h:outputText>
					</p:column>
				
					<p:column headerText="Finalização do Processo">
						<h:outputText value="#{process.finalizado}">
						  <f:convertDateTime pattern="dd/MM/yyyy"/>  
						</h:outputText>
					</p:column>
												
					<f:facet name="footer">
						<p:commandButton value="Atualizar" action="#{processoConclusaoBean.editar}" />
					</f:facet>
                    </p:dataTable>
                    
                     
                </h:form>

            </h:panelGrid>
	</ui:define>
</ui:decorate>
</html>